<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yiqi.order.mapper.OrderGoodsItemMapper">

    <resultMap type="OrderGoodsItem" id="OrderGoodsItemResult">
        <result property="id" column="id"/>
        <result property="orderId" column="order_id"/>
        <result property="orderNo" column="order_no"/>
        <result property="goodsId" column="goods_id"/>
        <result property="goodsName" column="goods_name"/>
        <result property="goodsImg" column="goods_img"/>
        <result property="goodsCategoryId" column="goods_category_id"/>
        <result property="goodsCategoryName" column="goods_category_name"/>
        <result property="createById" column="create_by_id"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateById" column="update_by_id"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectOrderGoodsItemVo">
        select id, order_id, order_no, goods_id, goods_name, goods_img, goods_category_id, goods_category_name, create_by_id, create_by, create_time, update_by_id, update_by, update_time, remark
        from order_goods_item
    </sql>

    <select id="selectOrderGoodsItemList" parameterType="OrderGoodsItem" resultMap="OrderGoodsItemResult">
        <include refid="selectOrderGoodsItemVo"/>
        <where>
            <if test="orderId != null ">
                and order_id = #{orderId}
            </if>
            <if test="orderNo != null  and orderNo != ''">
                and order_no = #{orderNo}
            </if>
            <if test="goodsId != null ">
                and goods_id = #{goodsId}
            </if>
            <if test="goodsName != null  and goodsName != ''">
                and goods_name like concat('%', #{goodsName}, '%')
            </if>
            <if test="goodsImg != null  and goodsImg != ''">
                and goods_img = #{goodsImg}
            </if>
            <if test="goodsCategoryId != null ">
                and goods_category_id = #{goodsCategoryId}
            </if>
            <if test="goodsCategoryName != null  and goodsCategoryName != ''">
                and goods_category_name like concat('%', #{goodsCategoryName}, '%')
            </if>
        </where>
    </select>

    <select id="selectOrderGoodsItemById" parameterType="Long"
            resultMap="OrderGoodsItemResult">
        <include refid="selectOrderGoodsItemVo"/>
        where id = #{id}
    </select>

    <insert id="insertOrderGoodsItem" parameterType="OrderGoodsItem" useGeneratedKeys="true"
            keyProperty="id">
        insert into order_goods_item
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="orderId != null">order_id,
            </if>
            <if test="orderNo != null">order_no,
            </if>
            <if test="goodsId != null">goods_id,
            </if>
            <if test="goodsName != null">goods_name,
            </if>
            <if test="goodsImg != null">goods_img,
            </if>
            <if test="goodsCategoryId != null">goods_category_id,
            </if>
            <if test="goodsCategoryName != null">goods_category_name,
            </if>
            <if test="createById != null">create_by_id,
            </if>
            <if test="createBy != null">create_by,
            </if>
            <if test="createTime != null">create_time,
            </if>
            <if test="updateById != null">update_by_id,
            </if>
            <if test="updateBy != null">update_by,
            </if>
            <if test="updateTime != null">update_time,
            </if>
            <if test="remark != null">remark,
            </if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="orderId != null">#{orderId},
            </if>
            <if test="orderNo != null">#{orderNo},
            </if>
            <if test="goodsId != null">#{goodsId},
            </if>
            <if test="goodsName != null">#{goodsName},
            </if>
            <if test="goodsImg != null">#{goodsImg},
            </if>
            <if test="goodsCategoryId != null">#{goodsCategoryId},
            </if>
            <if test="goodsCategoryName != null">#{goodsCategoryName},
            </if>
            <if test="createById != null">#{createById},
            </if>
            <if test="createBy != null">#{createBy},
            </if>
            <if test="createTime != null">#{createTime},
            </if>
            <if test="updateById != null">#{updateById},
            </if>
            <if test="updateBy != null">#{updateBy},
            </if>
            <if test="updateTime != null">#{updateTime},
            </if>
            <if test="remark != null">#{remark},
            </if>
        </trim>
    </insert>

    <update id="updateOrderGoodsItem" parameterType="OrderGoodsItem">
        update order_goods_item
        <trim prefix="SET" suffixOverrides=",">
            <if test="orderId != null">order_id =
                #{orderId},
            </if>
            <if test="orderNo != null">order_no =
                #{orderNo},
            </if>
            <if test="goodsId != null">goods_id =
                #{goodsId},
            </if>
            <if test="goodsName != null">goods_name =
                #{goodsName},
            </if>
            <if test="goodsImg != null">goods_img =
                #{goodsImg},
            </if>
            <if test="goodsCategoryId != null">goods_category_id =
                #{goodsCategoryId},
            </if>
            <if test="goodsCategoryName != null">goods_category_name =
                #{goodsCategoryName},
            </if>
            <if test="createById != null">create_by_id =
                #{createById},
            </if>
            <if test="createBy != null">create_by =
                #{createBy},
            </if>
            <if test="createTime != null">create_time =
                #{createTime},
            </if>
            <if test="updateById != null">update_by_id =
                #{updateById},
            </if>
            <if test="updateBy != null">update_by =
                #{updateBy},
            </if>
            <if test="updateTime != null">update_time =
                #{updateTime},
            </if>
            <if test="remark != null">remark =
                #{remark},
            </if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteOrderGoodsItemById" parameterType="Long">
        delete from order_goods_item where id = #{id}
    </delete>

    <delete id="deleteOrderGoodsItemByIds" parameterType="String">
        delete from order_goods_item where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>



</mapper>